Kubernetes
action Network

# remove_network_policy

Remove a network policty

Run it now
View details

Type | action
Module | chaosk8s.networking.actions
Name | remove_network_policy
Return | none

Usage

JSON

    {
      "name": "remove-network-policy",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.networking.actions",
        "func": "remove_network_policy",
        "arguments": {
          "name": ""
        }
      }
    }

YAML

    name: remove-network-policy
    provider:
      arguments:
        name: ''
      func: remove_network_policy
      module: chaosk8s.networking.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
ns | string | ”default” | Yes | Namespace |
name | string |  | Yes | Network Policy Nale | Name a Kubernetes network policy

Remove an existing network policy.

Signature

    def remove_network_policy(name: str,
                              ns: str = 'default',
                              secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Kubernetes
  probe Network

  ## `get_network_fault`

  Get a network fault
- fault
  action Network

  ## `Stop Network Proxy`

  Stop the fault proxy.
- Kubernetes
  action Network

  ## `remove_allow_dns_access`

  Remove DNS access from pods